# This file is a template, and might need editing before it works on your project.
# see https://docs.gitlab.com/ce/ci/yaml/README.html for all available options
image: python:3.6

before_script:
  - git clone https://github.com/KiCad/kicad-library-utils.git

after_script:


footprint_test:
  stage: test
  script:
    #- for f in $(git diff --name-only ${CI_COMMIT_SHA}..origin/master | grep kicad_mod); do ./kicad-library-utils/pcb/check_kicad_mod.py $f -v; done
    - sed -i 's/KISYS3DMOD/LSF_KICAD_LIB/g' ./kicad-library-utils/pcb/rules/F9_3.py
    - ./kicad-library-utils/pcb/check_kicad_mod.py -v lsf-kicad-lib.pretty/$(ls lsf-kicad-lib.pretty/*|grep -iv LOGO|sed 's/\n/ /'g)
  only:
    changes:
      - lsf-kicad-lib.pretty/*.kicad_mod


library_test:
  stage: test
  script:
    - ./kicad-library-utils/schlib/checklib.py *.lib -v
  only:
    changes:
      - "*.lib"
      - "*.dcm"
